Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux.de>
Summary:   	GNU cpio copies files into or out of a cpio or tar archive.
Name:      	cpio
Version:   	2.9
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/cpio/
Group:     	Archiving/Other 
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
Prereq(post,preun): /sbin/install-info

%description
GNU cpio copies files into or out of a cpio or tar archive. The archive can be another file on the disk, a magnetic tape, or a pipe. 
GNU cpio supports the following archive formats: binary, old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar, and POSIX.1 tar. The tar format is provided for compatability with the tar program. By default, cpio creates binary format archives, for compatibility with older cpio programs. When extracting from archives, cpio automatically recognizes which kind of archive it is reading and can read archives created on machines with a different byte-order.

%post
/sbin/install-info %{_infodir}/cpio.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/cpio.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}



%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --libexecdir=%_sbindir
make 

%install
rm -rf %{buildroot}
make install-strip DESTDIR=$RPM_BUILD_ROOT 
mv %{buildroot}%_sbindir/rmt %{buildroot}%_sbindir/rmt.cpio

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*
%_sbindir/*
%{_datadir}/locale/*
%{_infodir}/*
%exclude %{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.9-1
- Version update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.8-1
- Version update
* Fri Nov 24 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.7-1
- Version Update
* Fri Nov 17 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.6-3
- Renamed /usr/sbin/rmt to /usr/sbin/rmt.cpio to prevent conflicts with tar rpm
* Mon Aug 08 2005 Christian Metzen <metzench@ccux-linux.de> 2.6-2
- Fixed libexec location, removed unneccessary ldconfig tags, added prereq tag
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.6-1
- Version Update to 2.6, rebuilt spec 
* Wed Apr 14 2004 Christian Wasem <wasem@ccux.de> 2.5-2
- Initial Release
